Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.config
Interface CommonRepositoryConfigInformation

All Known Subinterfaces:
  GlobalRepositoryConfigInformation<T>, SingleRepositoryConfigInformation<T>

All Known Implementing Classes:
  AutomaticRepositoryConfigInformation, ManualRepositoryConfigInformation, ParentDelegatingRepositoryConfigInformation, RepositoryConfig

    public interface CommonRepositoryConfigInformation

Interface for shared repository information.

Author:
  Oliver Gierke

Method Summary
`String` | `getBasePackage()` Returns the base package.
`String` | `getNamedQueriesLocation()` Returns the location of the properties file to contain named queries.
`QueryLookupStrategy.Key` | `getQueryLookupStrategyKey()` Returns the strategy finder methods should be resolved.
`String` | `getRepositoryFactoryBeanClassName()` Returns the configured repository factory class.
`String` | `getRepositoryImplementationSuffix()` Returns the suffix to use for implementation bean lookup or class detection.
`Element` | `getSource()` Returns the element the repository information is derived from.
`String` | `getTransactionManagerRef()` Returns the bean name of the `PlatformTransactionManager` to be used.

Method Detail

### getSource

    Element getSource()

  Returns the element the repository information is derived from.

  Returns:

### getBasePackage

    String getBasePackage()

  Returns the base package.

  Returns:

### getRepositoryImplementationSuffix

    String getRepositoryImplementationSuffix()

  Returns the suffix to use for implementation bean lookup or class detection.

  Returns:

### getRepositoryFactoryBeanClassName

    String getRepositoryFactoryBeanClassName()

  Returns the configured repository factory class.

  Returns:

### getTransactionManagerRef

    String getTransactionManagerRef()

  Returns the bean name of the `PlatformTransactionManager` to be used. Returns null if no reference has been configured explicitly.

  Returns:

### getQueryLookupStrategyKey

    QueryLookupStrategy.Key getQueryLookupStrategyKey()

  Returns the strategy finder methods should be resolved.

  Returns:

### getNamedQueriesLocation

    String getNamedQueriesLocation()

  Returns the location of the properties file to contain named queries.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.